## org.apache.tomcat.util.net
Class NioEndpoint.SendfileData

    java.lang.Object
      org.apache.tomcat.util.net.NioEndpoint.SendfileData

Enclosing class:
  NioEndpoint

    public static class NioEndpoint.SendfileData

extends java.lang.Object

SendfileData class.

Field Summary
`java.nio.channels.FileChannel` `fchannel`
`java.lang.String` `fileName`
`boolean` `keepAlive`
`long` `length`
`long` `pos`

Constructor Summary
`NioEndpoint.SendfileData()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fileName

    public java.lang.String fileName

### fchannel

    public java.nio.channels.FileChannel fchannel

### pos

    public long pos

### length

    public long length

### keepAlive

    public boolean keepAlive

Constructor Detail

### NioEndpoint.SendfileData

    public NioEndpoint.SendfileData()

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.